unit Fmain;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Menus, ExtCtrls, BmTBar;

type
  TForm1 = class(TForm)
    ToolBar: tBmToolBar;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    open1: TMenuItem;
    quit1: TMenuItem;
    new1: TMenuItem;
    save1: TMenuItem;
    procedure FormShow(Sender: TObject);
    procedure open1Click(Sender: TObject);
    procedure new1Click(Sender: TObject);
    procedure save1Click(Sender: TObject);
    procedure quit1Click(Sender: TObject);
    procedure FormHide(Sender: TObject);
  private
    { Dclarations private }
  public
    { Dclarations public }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

{$R BUTTONS.RES}

procedure TForm1.FormShow(Sender: TObject);
begin
{  ToolBar.AddBtnRes2List (caption, bitmap name, function);}
  ToolBar.AddBtnRes2List ('New file', 'new', 'new32', new1Click);
  ToolBar.AddBtnRes2List ('Open file', 'open', 'open32', open1Click);
  ToolBar.AddBtnRes2List ('Save file', 'save', 'save32', save1Click);
  ToolBar.AddBtnRes2List ('Quit program', 'quit', 'quit32', quit1Click);
  Toolbar.LoadFromFile (ExtractFilePath (Application.ExeName)+'demo.ini');
end;

procedure TForm1.FormHide(Sender: TObject);
begin
  Toolbar.SaveToFile (ExtractFilePath (Application.ExeName)+'demo.ini');
end;

procedure TForm1.new1Click(Sender: TObject);
begin
  ShowMessage ('creating new file');
end;

procedure TForm1.open1Click(Sender: TObject);
begin
  ShowMessage ('opening file');
end;

procedure TForm1.save1Click(Sender: TObject);
begin
  ShowMessage ('save file');
end;

procedure TForm1.quit1Click(Sender: TObject);
begin
  ShowMessage ('exiting program');
end;

end.
